## javax.xml.messaging
Class URLEndpoint

    java.lang.Object
      javax.xml.messaging.Endpoint
          javax.xml.messaging.URLEndpoint

public class URLEndpoint
extends Endpoint

A special case of the `Endpoint` class used for simple applications that want to communicate directly with another SOAP-based application in a point-to-point fashion instead of going through a messaging provider.

A `URLEndpoint` object contains a URL, which is used to make connections to the remote party. A standalone client can pass a `URLEndpoint` object to the `SOAPConnection` method `call` to send a message synchronously.

Field Summary

Fields inherited from class javax.xml.messaging.Endpoint
`id`

Constructor Summary
`URLEndpoint(java.lang.String url)` Constructs a new `URLEndpoint` object using the given URL.

Method Summary
`java.lang.String` `getURL()` Gets the URL associated with this `URLEndpoint` object.

Methods inherited from class javax.xml.messaging.Endpoint
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLEndpoint

    public URLEndpoint(java.lang.String url)

  Constructs a new `URLEndpoint` object using the given URL.

Parameters:
  `url` - a `String` giving the URL to use in constructing the new `URLEndpoint` object

Method Detail

### getURL

    public java.lang.String getURL()

  Gets the URL associated with this `URLEndpoint` object.

  Returns:
    a `String` giving the URL associated with this `URLEndpoint` object

Copyright © 2005 Apache Web Services Project. All Rights Reserved.